import request from '@/config/axios'

export interface MpkPackVO {
  id: string
  packName: string
  packDesc: string
  modelPath: string
  sort: number
}

export interface MpkPackPageReqVO extends PageParam {
  packName?: string
}

// 查询分页列表
export const getPage = (params: MpkPackPageReqVO) => {
  return request.get({ url: '/model/mpk/pack/page', params })
}

// 查询列表
export const getList = () => {
  return request.get({ url: '/model/mpk/pack/list' })
}

// 获得
export const getPack = (id: number) => {
  return request.get({ url: '/model/mpk/pack/get?id=' + id })
}

// 新增
export const createPack = (data: MpkPackVO) => {
  return request.post({ url: '/model/mpk/pack/create', data })
}

// 修改
export const updatePack = (data: MpkPackVO) => {
  return request.put({ url: '/model/mpk/pack/update', data })
}

// 删除
export const deletePack = (id: string) => {
  return request.delete({ url: '/model/mpk/pack/delete?id=' + id })
}
